
QGIS Application - Bug report #6101

User not warned of uncommited edits when closing

2012-07-26 01:43 PM - Chris Crook

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 15446

Description

Steps to reproduce:

1) Open a new project

2) Add an editable layer (I've tried memory and shapefile).  

3) Save the project

4) Make the layer editable, add some features (Do not save edits or end editing the layer)

5) Close QGIS (saving the project if prompted) - Note: no prompt to save uncommitted edits

6) Reopen the project.  Added features have disappeared.

I've confirmed this using

QGis 1.8.0a on Ubuntu 11.10

QGis 1.8.0RC1 on Windows XP

Related issues:

Duplicates QGIS Application - Bug report # 6054: QGIS 1.8 doesn't warn about ... Closed 2012-07-17

History

#1 - 2012-07-26 02:59 PM - Giovanni Manghi

- Status changed from Open to Feedback

isn't this a duplicate of #6054 ?

#2 - 2012-07-26 03:13 PM - Chris Crook

Indeed it is  ... I tried searching for a matching issue, but missed it :-(

#3 - 2012-07-27 12:30 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

Chris Crook wrote:

Indeed it is  ... I tried searching for a matching issue, but missed it :-(

no problem.
Closing as duplicate.
